(function (Drupal, $) {

    "use strict";

    Drupal.behaviors.geoportailMap = {

        attach: function (context, settings) {

            $(context).find('.geoportail-map').once('.ol-viewport').each(function () {

                var latlon = settings.geoportail_map.geoportail_map_library.locations;
                var bglayer = settings.geoportail_map.geoportail_map_library.bglayer;
                var zoom = settings.geoportail_map.geoportail_map_library.zoom;
                var layers = settings.geoportail_map.geoportail_map_library.layers;

                var contentPosition = [latlon[0][1], latlon[0][0]];

                //display map centered on content position
                var map = new lux.Map({
                    target: 'map1',
                    bgLayer: bglayer,
                    layers: layers,
                    zoom: zoom,
                    positionSrs: 4326, //default EPSG:2169 the luxembourg coordinate reference system, EPSG:4326 the WGS84 coordinate reference system,
                    position: contentPosition,
                });

                //display marker at the content position
                map.showMarker(
                    {
                        //position: contentPosition,
                        //positionSrs: 4326,
                        positioning: 'bottom-center',
                        //iconURL: '/modules/contrib/geofield_geoportailmap/assets/icons8-map-pin-48.png',
                        iconURL: '//img.icons8.com/color/48/000000/map-pin.png',
                        //html: '<h2>Lieu</h2><p>Address</p>' //pop-up
                    });
            });
        }
    };
}) (Drupal, jQuery);




